package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag422;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.mt4XXAbsCreator.MT422AbsCreator;

/**
 * @author zh
 * @create 2023-02-27-17:27
 */
public class Tag21Creator extends AbsTagCreate {
    private MT422AbsCreator mt422AbsCreator;

    public Tag21Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt422AbsCreator= (MT422AbsCreator) absMTCreator;
    }

    public  void creator()
    {
        String tag21Value = mt422AbsCreator.getRelatedReference();
        mt422AbsCreator.set("21", tag21Value);
    }
}
